' Modul komplexe Zahlen

#Include "KomplexeZahlModul.bi"

' Implementierung

Constructor Komplex(r As Double, i As Double)
	This.r = r
	This.i = i
End Constructor

Function Komplex.betrag As Double
	Return Sqr(r * r + i * i)	
End Function

Function Komplex.toString As String
	Return Str(r) + "+" + Str(i) + "*i"
End Function

Operator+(s1 As Komplex, s2 As Komplex) As Komplex
	Return Komplex(s1.r + s2.r, s1.i + s2.i)
End Operator

Operator*(f1 As Komplex, f2 As Komplex) As Komplex
	Return Komplex(f1.r * f2.r - f1.i * f2.i, f1.r * f2.i + f1.i * f2.r)
End Operator